Pin
curl --request GET \
--url https://api.aisa.one/apis/v1/pinterest/pin \
--header 'Authorization: Bearer <token>'{
"success": true,
"entityId": "36662184461578355",
"seoAltText": "a small brown dog sitting in the back seat of a car with its head hanging out",
"originPinner": {
"entityId": "1144125617743372495",
"id": "VXNlcjoxMTQ0MTI1NjE3NzQzMzcyNDk1",
"username": "Chloe_hi15",
"imageMediumUrl": "https://i.pinimg.com/75x75_RS/90/99/6f/90996f6eac9c9fd4836fba948699fd28.jpg",
"blockedByMe": false,
"explicitlyFollowedByMe": false,
"followerCount": 55,
"fullName": "Chloe Marie Monroe",
"imageLargeUrl": "https://i.pinimg.com/140x140_RS/90/99/6f/90996f6eac9c9fd4836fba948699fd28.jpg",
"imageSmallUrl": "https://i.pinimg.com/30x30_RS/90/99/6f/90996f6eac9c9fd4836fba948699fd28.jpg",
"isVerifiedMerchant": false,
"verifiedIdentity": {
"verified": null
}
},
"pinner": {
"blockedByMe": false,
"id": "VXNlcjozNjY2MjMyMTg3NDk5NjcxNQ==",
"entityId": "36662321874996715",
"__typename": "User",
"fullName": "Crystal Catlett",
"imageSmallUrl": "https://i.pinimg.com/30x30_RS/51/76/82/5176824c31aaeec633f0f09bf1ca12e4.jpg",
"imageLargeUrl": "https://i.pinimg.com/140x140_RS/51/76/82/5176824c31aaeec633f0f09bf1ca12e4.jpg",
"explicitlyFollowedByMe": false,
"username": "cc1025",
"imageMediumUrl": "https://i.pinimg.com/75x75_RS/51/76/82/5176824c31aaeec633f0f09bf1ca12e4.jpg",
"firstName": "Crystal",
"followerCount": 347,
"isVerifiedMerchant": false,
"verifiedIdentity": {
"verified": null
}
},
"imageSpec_orig": {
"url": "https://i.pinimg.com/originals/71/5c/5d/715c5d48feb038e16f48a28e6f8ca1f3.jpg"
},
"description": " ",
"shareCount": 0,
"nativeCreator": null,
"createdAt": "Mon, 09 Jun 2025 04:04:22 +0000",
"repinCount": 88,
"totalReactionCount": 88
}Pinterest API
Pin
Pin
GET
https://api.aisa.one/apis/v1
/
pinterest
/
pin
Pin
curl --request GET \
--url https://api.aisa.one/apis/v1/pinterest/pin \
--header 'Authorization: Bearer <token>'{
"success": true,
"entityId": "36662184461578355",
"seoAltText": "a small brown dog sitting in the back seat of a car with its head hanging out",
"originPinner": {
"entityId": "1144125617743372495",
"id": "VXNlcjoxMTQ0MTI1NjE3NzQzMzcyNDk1",
"username": "Chloe_hi15",
"imageMediumUrl": "https://i.pinimg.com/75x75_RS/90/99/6f/90996f6eac9c9fd4836fba948699fd28.jpg",
"blockedByMe": false,
"explicitlyFollowedByMe": false,
"followerCount": 55,
"fullName": "Chloe Marie Monroe",
"imageLargeUrl": "https://i.pinimg.com/140x140_RS/90/99/6f/90996f6eac9c9fd4836fba948699fd28.jpg",
"imageSmallUrl": "https://i.pinimg.com/30x30_RS/90/99/6f/90996f6eac9c9fd4836fba948699fd28.jpg",
"isVerifiedMerchant": false,
"verifiedIdentity": {
"verified": null
}
},
"pinner": {
"blockedByMe": false,
"id": "VXNlcjozNjY2MjMyMTg3NDk5NjcxNQ==",
"entityId": "36662321874996715",
"__typename": "User",
"fullName": "Crystal Catlett",
"imageSmallUrl": "https://i.pinimg.com/30x30_RS/51/76/82/5176824c31aaeec633f0f09bf1ca12e4.jpg",
"imageLargeUrl": "https://i.pinimg.com/140x140_RS/51/76/82/5176824c31aaeec633f0f09bf1ca12e4.jpg",
"explicitlyFollowedByMe": false,
"username": "cc1025",
"imageMediumUrl": "https://i.pinimg.com/75x75_RS/51/76/82/5176824c31aaeec633f0f09bf1ca12e4.jpg",
"firstName": "Crystal",
"followerCount": 347,
"isVerifiedMerchant": false,
"verifiedIdentity": {
"verified": null
}
},
"imageSpec_orig": {
"url": "https://i.pinimg.com/originals/71/5c/5d/715c5d48feb038e16f48a28e6f8ca1f3.jpg"
},
"description": " ",
"shareCount": 0,
"nativeCreator": null,
"createdAt": "Mon, 09 Jun 2025 04:04:22 +0000",
"repinCount": 88,
"totalReactionCount": 88
}Full details of a single pin by URL.
Example
curl "https://api.aisa.one/apis/v1/pinterest/pin?url=VALUE" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
AIsa API key. Get yours at https://aisa.one
Query Parameters
Pinterest pin URL
Set to true for a trimmed down version of the response
Response
200 - application/json
Successful response
⌘I